import 'package:json_annotation/json_annotation.dart';

part 'create_event_shift_position_input_model.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class CreateEventShiftPositionInputModel {
  final String businessSkillId;
  final String hubDepartmentId;
  final int count;
  final String startTime;
  final String endTime;
  final double rate;
  @JsonKey(name: 'break')
  final int breakDuration;

  CreateEventShiftPositionInputModel(
      {required this.businessSkillId,
      required this.hubDepartmentId,
      required this.count,
      required this.startTime,
      required this.endTime,
      required this.rate,
      required this.breakDuration});

  factory CreateEventShiftPositionInputModel.fromJson(
      Map<String, dynamic> json) {
    return _$CreateEventShiftPositionInputModelFromJson(json);
  }

  Map<String, dynamic> toJson() =>
      _$CreateEventShiftPositionInputModelToJson(this);
}
